// ---------------------------------------------------------------------------
//
// easyRun(easyTemp.PAS)                                 Ulrich Mller 4.12.01
//                                                       Procida 400NT Delphi4
// Unit zur Erstellung eigener Delphi4-Programme zum Betrieb von ft-Modellen
// auf Basis von umFishEx, umFish.DLL und easyMain
// die weiteren Units mssen nicht modifiziert werden.
// es stehen die normalen Delphi4 Sprachmittel und Funktionen aus
// umFishEx und easyMain zur Verfgung.
//
//  ---- Computing Starter : Temperaturregelung ----
//
// ---------------------------------------------------------------------------

unit easyTemp;
interface
const            // --- Konstanten zum Ansprechen der InterfaceGerte ---
  mVentilator = 1; mLampe = 2; mM3 = 3; mM4 = 4;
  eE1 = 1; eE2 = 2; eE3 = 3; eE4 = 4; eE5 = 5; eE6 = 6; eE7 = 7; eE8 = 8;
  aNTC = 0; aEY = 1;
  wHeiss = 1; wKalt = 2;
const            // --- Beschriftung des InterfacePanels ------
  clblTitel = 'Temperaturregelung';
  clblE: array[1..8] of string = ('E1', 'E2', 'E3', 'E4',
                                   'E5', 'E6', 'E7', 'E8');
  clblM: array[1..4] of string = ('Khlung', 'Heizung', 'M3', 'M4');
  clblA: array[1..2] of string = ('Temperatur', 'EY');
  clblW: array[1..2] of string = ('Hei', 'Kalt');
  ctxtW: array[1..2] of string = ('520', '560');

//  ---------------- bei Bedarf an das Programm anpassen ------

procedure fishMain();
implementation
uses Windows, Messages, SysUtils, Forms, Dialogs,
     easyMain, umFishEx;


var             // --- Variable der Anwendung ---------------------------
  res: Cardinal;

procedure fishMain;  // --- Haupt Procedure, Name ist fest
                     //     Aufruf ber START-Button
                     //     Es knnen beliebige weitere procedure und
                     //     function erstellt werden.
var t: Integer;

begin
  repeat             // --- Endlosschleife, Ende : HALT-Button
    t := ftiGetAnalog(aNTC);
    if t < Werte(wHeiss) then begin
      ftiSetMotor(mLampe, ftiAus);
      ftiSetMotor(mVentilator, ftiEin);
      printStatus('Khlt');
    end
    else if t > Werte(wKalt) then begin
      ftiSetMotor(mLampe, ftiEin);
      ftiSetMotor(mVentilator, ftiAus);
      printStatus('Heizt');
    end;
  Until ftiFinish(0);
end;

end.
